
Redmine - Defect #19162

New issue AND tracker read-only: status is not changable

2015-02-23 23:48 - Grischa Zengel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 3.0.0

Description

I can't change status on new issue if tracker is hidden.

2nd:

In this constellation user text fields with numbers inside are empty after submitting.

If tracker is visible the numbers are saved.

Associated revisions

Revision 14327 - 2015-06-17 20:32 - Jean-Philippe Lang

Adds a test for #19162.

History

#1 - 2015-03-20 04:36 - Toshi MARUYAMA

- Target version set to 3.0.2

#2 - 2015-03-20 04:44 - Toshi MARUYAMA

- Target version changed from 3.0.2 to 3.1.0

#3 - 2015-05-30 11:15 - Jean-Philippe Lang

- Status changed from New to Needs feedback

I'm not able to reproduce with current 3.0-stable.

I've set the tracker field to read-only for a certain role. A user with this role doesn't have the tracker field on the issue form (as expected), but he can

choose the status. And the issue is created with this status.

#4 - 2015-05-30 22:12 - Sebastian Paluch

I have not tested with latest 3.0 branch but I can confirm this exists in 3.0.0.stable release.

#5 - 2015-05-31 08:49 - Jean-Philippe Lang

- Status changed from Needs feedback to New

- Assignee set to Jean-Philippe Lang

Thanks. I think it was fixed by r14095 in 3.0.1. I'll try with 3.0.0 and will add a test for this.

#6 - 2015-06-17 20:20 - Jean-Philippe Lang

- Subject changed from new issue AND tracker read-only: status is not changable to New issue AND tracker read-only: status is not changable

- Status changed from New to Closed

- Target version deleted (3.1.0)

- Resolution set to Fixed

I confirm that the problem exists in 3.0.0 and was fixed in 3.0.1.
